CREATE TABLE hrc_sdl_bo_role_map (
    ROLE_MAPPING_ID            NUMBER(18, 0) ,
    ROLE_ID                    NUMBER(18, 0)     NOT NULL,
    BUSINESS_OBJECT_ID         NUMBER(18, 0)     NOT NULL,
    EXTRA_INFO                 VARCHAR2(4000),
    ERROR_INFORMATION          VARCHAR2(4000),
    GRANT_GEN_STATUS           VARCHAR2(16)  ,
    GRANT_GEN_DETAILS          VARCHAR2(4000),
    ACTIVE_STATUS              VARCHAR2(16)  ,
    OBSOLETE_FLAG              VARCHAR2(16)  ,
    ENTERPRISE_ID              NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    MODULE_ID                  VARCHAR2(128) ,
    PRODUCT_AREA               VARCHAR2(400) ,
    ALL_BUS_OBJ_ACCESS         VARCHAR2(16)  ,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    EXCLUDE_BUSINESS_OBJECT    VARCHAR2(4000),
    ROLE_MAPPING_ID            NUMBER(18, 0) ,
    ROLE_ID                    NUMBER(18, 0)     NOT NULL,
    BUSINESS_OBJECT_ID         NUMBER(18, 0)     NOT NULL,
    EXTRA_INFO                 VARCHAR2(4000),
    ERROR_INFORMATION          VARCHAR2(4000),
    GRANT_GEN_STATUS           VARCHAR2(16)  ,
    GRANT_GEN_DETAILS          VARCHAR2(4000),
    ACTIVE_STATUS              VARCHAR2(16)  ,
    OBSOLETE_FLAG              VARCHAR2(16)  ,
    ENTERPRISE_ID              NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    MODULE_ID                  VARCHAR2(128) ,
    PRODUCT_AREA               VARCHAR2(400) ,
    ALL_BUS_OBJ_ACCESS         VARCHAR2(16)  ,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    EXCLUDE_BUSINESS_OBJECT    VARCHAR2(4000),
    CONSTRAINT pk_hrc_sdl_bo_role_map PRIMARY KEY (ROLE_MAPPING_ID, ROLE_MAPPING_ID)
);
